/************************************************************************/
/* clean.cmd                                                            */
/* Created: 8 Nov 1998                                                  */
/* Author: J. Pedone                                                    */
/* jpedone@flash.net                                                    */
/************************************************************************/
 
Call RxFuncAdd SYSLOADFUNCS, REXXUTIL, SYSLOADFUNCS
call SysLoadFuncs
Signal on Syntax
Signal on Halt
tab='09'x
parse arg size
if size = '-?' Then do
	call USAGE
	exit 1
end
If size = '' Then Size = '1k'

say "Finding drives"
logtest.0 = 0
drives = SysDriveMap('C:','Local')
i = 0
Do until drives = ''
	parse var drives testdrive drives
	i = i+1
	logtest.0 = i
	logtest.i = testdrive
end /* do */

say "Checking drives"
logdrive.0 = 0
j=0
do i = 1 to logtest.0
	rc=stream(logtest.i'\clean.###','C','Open Write')
	if rc = "READY:" Then do
		j=j+1
		logdrive.0 = logdrive.0+1
		logdrive.j = logtest.i
		rc=lineout(logtest.i'\clean.###')
		rc = SysFileDelete(logtest.i'\clean.###')
	end
end

say "Looking for log files"
logs.0 = 0
do i = 1 to logdrive.0
	call SysFileTree logdrive.i||'\*log','testlogs','FSO'
	Do j = 1 to testlogs.0 
		logs.0 = logs.0+1
		k = logs.0
		logs.k = testlogs.j
	end /* do */
end /* do */ 

say "Shrinking logs"
do i = 1 to logs.0
	'shrink -s '||size||' -v "'||logs.i'"'
end /* do */
Exit
 
Syntax:
	Say SourceLine(sigl)
	Say "Syntax Error on line" sigl || ":"
	Say ErrorText(rc)
	Trace ?R ; NOP ; Exit
 
Halt:
	Exit

Usage:
	say "USAGE:"
	say " "
	say tab "Clean size"
	say " "
	say tab tab "Where:"
	say " "
	say tab tab tab "Size is the number of bytes to leave"
	say tab tab tab "in the log optionally followed by k,"
	say tab tab tab "m or g"
	say " "
return